"use strict";
const common_vendor = require("../../../../common/vendor.js");
const sheep_index = require("../../../index.js");
require("../../../url/index.js");
require("../../../store/index.js");
require("../../../store/app.js");
require("../../../api/promotion/diy.js");
require("../../../request/index.js");
require("../../../config/index.js");
require("../../../platform/index.js");
require("../../../platform/provider/wechat/index.js");
require("../../../platform/provider/wechat/miniProgram.js");
require("../../../api/member/auth.js");
require("../../../api/member/social.js");
require("../../../api/member/user.js");
require("../../../platform/provider/apple/index.js");
require("../../../platform/share.js");
require("../../../router/index.js");
require("../../../hooks/useModal.js");
require("../../../helper/index.js");
require("../../../helper/test.js");
require("../../../helper/digit.js");
require("../../../helper/throttle.js");
require("../../../platform/pay.js");
require("../../../api/pay/order.js");
require("../../../store/user.js");
require("../../../store/cart.js");
require("../../../api/trade/cart.js");
require("../../../api/pay/wallet.js");
require("../../../api/trade/order.js");
require("../../../api/promotion/coupon.js");
require("../../../store/sys.js");
require("../../../store/modal.js");
require("../../../config/zIndex.js");
if (!Array) {
  const _easycom_s_search_block2 = common_vendor.resolveComponent("s-search-block");
  _easycom_s_search_block2();
}
const _easycom_s_search_block = () => "../../s-search-block/s-search-block.js";
if (!Math) {
  _easycom_s_search_block();
}
const _sfc_main = {
  __name: "navbar-item",
  props: {
    data: {
      type: Object,
      default: () => ({})
    },
    width: {
      type: String,
      default: "1px"
    }
  },
  setup(__props) {
    const height = common_vendor.computed(() => sheep_index.sheep.$platform.capsule.height);
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: __props.data.type === "text"
      }, __props.data.type === "text" ? {
        b: common_vendor.t(__props.data.text),
        c: common_vendor.s({
          color: __props.data.textColor,
          width: __props.width
        })
      } : {}, {
        d: __props.data.type === "image"
      }, __props.data.type === "image" ? {
        e: common_vendor.unref(sheep_index.sheep).$url.cdn(__props.data.src),
        f: common_vendor.s({
          width: __props.width
        }),
        g: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go(__props.data.url))
      } : {}, {
        h: __props.data.type == "search"
      }, __props.data.type == "search" ? {
        i: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/index/search")),
        j: common_vendor.p({
          placeholder: __props.data.placeholder || "搜索关键字",
          radius: __props.data.borderRadius,
          elBackground: "#fff",
          height: common_vendor.unref(height),
          width: __props.width
        }),
        k: common_vendor.s({
          width: __props.width
        })
      } : {});
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-c063d35d"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/sheep/components/s-custom-navbar/components/navbar-item.vue"]]);
wx.createComponent(Component);
